Description

We use the issue import feature in Redmine when we have a new project. In every project there is a bunch of issues, which cover

typical tasks (design, deployment, accounts, testing e.g.). These tasks are connecetd between each other via parent task. We´d like

to connect the issues directly with the import. But we cannot insert the explicit issue number, because the parent issues don´t exist

before import. And the second reason is that we want to us the import file as template, so there cannot be specific numbers.

Useful would be a kind of dynamic link between the issues. Maybe one column in the import file represents a local ID, which can be

used for the dynamic parent task link.

Related issues:

Related to Redmine - Feature #28213: Support external ID when importing issues Closed

Is duplicate of Redmine - Feature #22701: Allow forward reference to parent w... Closed

History

#1 - 2017-06-02 13:42 - Mischa The Evil

- Status changed from New to Needs feedback

- Assignee set to Robert Barnebeck

Robert Barnebeck wrote:

[...] We´d like to connect the issues directly with the import. But we cannot insert the explicit issue number, because the parent issues don´t exist

before import. And the second reason is that we want to us the import file as template, so there cannot be specific numbers.

Useful would be a kind of dynamic link between the issues. [...]

 I think you can already achieve such with the current implementation for #950.

From #23396#note-2:

Jean-Philippe Lang wrote:

When importing issues, the content of a the parent colum can be:

a number without # (eg: 10) => the parent will be the 10th imported issue

a number with # (eg: #10) => the parent will be the existing issue with id=10

 

and from HowTo_import_issues#Parent-Issue:

If the field starts with an #, the issue with that id is referenced. If the field contains a number it references the index of the issue in the import.

Note that it's not the line number as line 1 contains the header

 

So, a CSV file looking like follows (note the parent column values with the #-sign omitted):

Subject Startdate Duedate Parent

taskA 1/1/2016 12/31/2016

taskB 1/1/2016 12/31/2016 1
taskC 1/1/2016 12/31/2016 1

taskD 1/1/2016 12/31/2016 3

taskE 1/1/2016 12/31/2016 3

taskF 1/4/2016 12/31/2016 4

would be imported creating the following issues tree:

taskA

 -> taskB

 -> taskC

     -> taskD

         -> taskF

     -> taskE

 And, starting with not-yet-released Redmine 3.4.0, you can even use a CSV file like:

Subject Startdate Duedate Parent

taskF 1/4/2016 12/31/2016 2

taskD 1/1/2016 12/31/2016 5

taskE 1/1/2016 12/31/2016 5

taskB 1/1/2016 12/31/2016 6

taskC 1/1/2016 12/31/2016 6

taskA 1/1/2016 12/31/2016

which would be imported creating the following issues tree (equal to the example above):

taskA

 -> taskB

 -> taskC

     -> taskD

         -> taskF

     -> taskE

This extended feature behaviour is implemented through a separated issue (#22701).

#2 - 2017-06-23 10:20 - Robert Barnebeck

Hi Mischa,

at first sorry for my late response. I didn´t notice the update mail. Thanks for your very informative information. I didn´t know the feature with the

relating parent task, that is very helpful.

Maybe there would be a little improvement useful: We want to use ticket imports for new projects, where we have our standard tickets. But we don´t

need all of these tickets for every new project. When deleting some rows, the relational row-link to the parent ticket can change. So it would help to

relate to a defined ID-Column or something, where the ID doesn´t change, even if rows are deleted inbetween.

Do you think this would be an appropriate feature request? It seems that I´m not allowed to change assignee, so I hope my message will be received.

Best regards,

Robert

#3 - 2017-07-01 16:36 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Assignee deleted (Robert Barnebeck)

- Resolution set to Invalid

Robert Barnebeck wrote:

Maybe there would be a little improvement useful:...

 Please create new feature request issue.
#4 - 2017-07-01 16:42 - Toshi MARUYAMA

- Resolution changed from Invalid to Duplicate

#5 - 2017-07-01 16:42 - Toshi MARUYAMA

- Is duplicate of Feature #22701: Allow forward reference to parent when importing issues added

#6 - 2018-02-19 17:05 - Mischa The Evil

- Related to Feature #28213: Support external ID when importing issues added
